%define upstream_name    WebService-MusicBrainz
%define upstream_version 1.0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Web service API to MusicBrainz database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 7.130.0
BuildArch:  noarch

%description
This module will act as a factory using static methods to return specific
web service objects;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# (tv) those tests needs networking and thus fails with iurt-0.7:
exit 0
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Aug 24 2024 tv <tv> 1.0.7-1.mga10
+ Revision: 2090885
- update to 1.0.7

* Fri Jul 29 2022 tv <tv> 1.0.6-1.mga9
+ Revision: 1872842
- update to 1.0.6

* Tue Mar 22 2022 umeabot <umeabot> 1.0.5-3.mga9
+ Revision: 1819443
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.0.5-2.mga8
+ Revision: 1523985
- Mageia 8 Mass Rebuild

* Tue Mar 19 2019 tv <tv> 1.0.5-1.mga7
+ Revision: 1378873
- update to 1.0.5

* Tue Mar 12 2019 tv <tv> 1.0.4-3.mga7
+ Revision: 1374836
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1287291
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 1.0.4-1.mga7
+ Revision: 1205015
- update to 1.0.4

* Sun Jan 28 2018 shlomif <shlomif> 1.0.3-1.mga7
+ Revision: 1197673
- update to 1.0.3

* Thu Oct 05 2017 tv <tv> 1.0.2-3.mga7
+ Revision: 1169073
- disable tests that need networking

* Tue Oct 03 2017 tv <tv> 1.0.2-2.mga7
+ Revision: 1167319
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.0.2-1.mga7
+ Revision: 1157362
- new version 1.0.2

* Sun Jun 19 2016 pterjan <pterjan> 0.930.0-8.mga6
+ Revision: 1035696
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.930.0-7.mga6
+ Revision: 949075
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.930.0-6.mga5
+ Revision: 788912
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.930.0-5.mga5
+ Revision: 741323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.930.0-4.mga5
+ Revision: 686880
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.930.0-3.mga4
+ Revision: 515999
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.930.0-2.mga3
+ Revision: 374835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 wally <wally> 0.930.0-1.mga3
+ Revision: 264705
- imported package perl-WebService-MusicBrainz

